<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Task extends Model
{
    protected $table = 'tasks';
    protected $guarded = [];
    protected $casts = [
        'title' => 'array',
        'description' => 'array',
        'example_text' => 'array',
    ];

    public function emotion(): BelongsTo
    {
        return $this->belongsTo(Emotion::class);
    }

    public function eventType(): BelongsTo
    {
        return $this->belongsTo(EventType::class, 'event_type_id');
    }
}
